package com.mcwl.memberCenter.domain.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.memberCenter.enums.MemberBenefitTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 权益
 */
@Data
@ApiModel(description = "权益")
public class BenefitDto {

    private Long id;
    /**
     * 权益名称
     */
    @ApiModelProperty(value = "权益名称", required = true)
    @NotBlank(message = "权益名称不能为空")
    private String benefitName;
    /**
     * 权益描述
     */
    @ApiModelProperty(value = "权益描述")
    private String benefitDesc;
    /**
     * 权益类型
     */
    @ApiModelProperty(value = "权益类型", required = true)
    @NotNull(message = "权益类型不能为空")
    private MemberBenefitTypeEnum benefitType;
    /**
     * 权益折扣，当权益类型为折扣时，记录折扣具体数值
     */
    @ApiModelProperty(value = "权益折扣，当权益类型为折扣时，记录折扣具体数值", required = true)
    @NotNull(message = "权益折扣不能为空")
    private Double benefitDiscount;
    /**
     * 权益排序
     */
    @ApiModelProperty(value = "权益排序")
    private Integer benefitOrder;


}
